#pragma once

#include <string>
#include <cppamqp/enums.h>
#include <cppamqp/config.h>
#include <cppcore/misc/exception.h>

namespace cppamqp
{

    struct exception
        : public ::cppcore::exception
    {
        amqp_status_enum status { AMQP_STATUS_OK };

        inline exception(const std::string& p_message);
        inline exception(amqp_status_enum p_status);
        inline exception(const std::string& p_message, amqp_status_enum p_status);
    };

}
