#pragma once

#include <cppamqp/helper.h>

namespace cppamqp
{

    namespace __impl
    {
        amqp_bytes_t make_bytes(const std::string& s)
        {
            return amqp_bytes_t {
                s.size(),
                const_cast<char*>(s.c_str()),
            };
        }

        std::string from_bytes(const amqp_bytes_t& data)
            { return std::string(static_cast<const char*>(data.bytes), data.len); }
    }

}