# Version
Set                               ( CPPAMQP_VERSION_MAJOR 1 )
Set                               ( CPPAMQP_VERSION_MINOR 0 )
Set                               ( CPPAMQP_VERSION_PATCH 0 )
Set                               ( CPPAMQP_VERSION_BUILD 0 )
Set                               ( CPPAMQP_VERSION_SHORT "${CPPAMQP_VERSION_MAJOR}.${CPPAMQP_VERSION_MINOR}" )
Set                               ( CPPAMQP_VERSION "${CPPAMQP_VERSION_SHORT}.${CPPAMQP_VERSION_PATCH}.${CPPAMQP_VERSION_BUILD}" )
Set                               ( CPPAMQP_NAME "cppamqp-${CPPAMQP_VERSION_SHORT}" )
Set                               ( CPPAMQP_OUTPUTNAME "cppamqp" )

# Install directories
Set                               ( CPPAMQP_INSTALL_DIR_INCLUDE "include/${CPPAMQP_NAME}" )
Set                               ( CPPAMQP_INSTALL_DIR_LIB "lib" )
Set                               ( CPPAMQP_INSTALL_DIR_SHARE "share/${CPPAMQP_NAME}" )

# C Standard
Set                               ( CMAKE_C_STANDARD   11 )
Set                               ( CMAKE_CXX_STANDARD 17 )
Set                               ( CMAKE_C_STANDARD_REQUIRED   ON )
Set                               ( CMAKE_CXX_STANDARD_REQUIRED ON )

# Git Version
Include                           ( git_helper OPTIONAL RESULT_VARIABLE HAS_GIT_HELPER )
If                                ( HAS_GIT_HELPER )
    GitGetVersion                     ( ${CMAKE_CURRENT_LIST_DIR}/..
                                        CPPAMQP_VERSION_MAJOR
                                        CPPAMQP_VERSION_MINOR
                                        CPPAMQP_VERSION_PATCH
                                        CPPAMQP_VERSION_BUILD
                                        CPPAMQP_VERSION_HASH )
EndIf                             ( )
