#pragma once

#include <string>
#include <cppamqp/config.h>

namespace cppamqp
{

    namespace __impl
    {
               void            check_and_raise (int returnCode, std::string msg, bool logOnly);
               void            check_and_raise (const amqp_rpc_reply_t& reply, std::string msg, bool logOnly);
        inline amqp_bytes_t    make_bytes      (const std::string& s);
        inline std::string     from_bytes      (const amqp_bytes_t& data);
    }

}