#pragma once

#include <cppamqp/config.h>
#include <cppamqp/publish_options.h>

namespace cppamqp
{

    struct message
    {
        publish_options  options;
        std::string      body;

        inline message();
        inline message(const amqp_message_t& msg);
        inline message(message&& other) = default;
        inline message(const message& other) = default;
    };

}